Subject: bug#4110: 23.1.50; Checkdoc should recognize "minor mode"

From: Stefan Kangas <[email-masked]>
Date: Fri, 24 Sep 2021 14:45:14 -0700

tags 4110 fixed
close 4110 28.1
thanks

Lars Ingebrigtsen <[email-masked]> writes:

> Mauro Aranda <[email-masked]> writes:
>
>> The change to allow this should be pretty simple: just add "mode" to the
>> list of suggested words.
>>
>> But I do wonder if instead checkdoc should be happy just with the symbol
>> ending with "-mode".  IOW,  I tend to think that there is no ambiguity
>> in "`my-mode'" in a docstring, even if my-mode is defined as a variable
>> and as a function.
>>
>> Any opinions?
>
> Yes, I think that's a good idea -- requiring "mode" before `my-mode'
> seems excessive.

I independently arrived at this conclusion, then I found this bug
report.  I agree that there is no confusion, and this check leads to a
ton of such dubious warnings in the Emacs tree.

So I've now fixed this on master (commit 79a9b50621).